"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.alertReducer = alertReducer;

var initialState = {
    currentAlert: null
};

function alertReducer() {
    var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;

    var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
        type = _ref.type,
        payload = _ref.payload;

    switch (type) {
        case "CREATE_ALERT":
            return _extends({}, state, { currentAlert: payload });
        case "DELETE_ALERT":
            return _extends({}, state, { currentAlert: null });
    }

    return state;
}